import { get, post, put, del } from './request'

export interface SimpleOption {
  value: number
  label: string
}

export function getVehicleList(pageNum = 1, pageSize = 10) {
  return get('/vehicle/list', { pageNum, pageSize })
}

export function getVehicleSimpleList() {
  return get<SimpleOption[]>('/vehicle/simple-list')
}

export function getVehicleDetail(vehicleId: number) {
  return get(`/vehicle/${vehicleId}`)
}
